| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

group "m:DomainQ"

Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 4 elements
Defined: | globally in mathml3-content.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 5 locations

Component Diagram

Complex Content Model
(m:domainofapplication | m:condition | (m:lowlimit, m:uplimit?))*

Referenced By

- In definitions of other model groups (1):
  m:Qualifier
- In definitions of anonymous complexTypes of elements (4):
  m:lambda.class, m:list, m:nary-constructor.class, m:set

XML Source (see within schema source)

<xs:group name="DomainQ"> <xs:sequence> <xs:choice maxOccurs="unbounded" minOccurs="0"> <xs:element ref="m:domainofapplication"/> <xs:element ref="m:condition"/> <!--Ambiguous content model altered (interval)--> <xs:sequence> <xs:element ref="m:lowlimit"/> <xs:element minOccurs="0" ref="m:uplimit"/> </xs:sequence> </xs:choice> </xs:sequence> </xs:group>

Content Element Details (all declarations defined in this component; 4/4)
m:condition

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:DomainQ

XML Source (see within schema source)

<xs:element ref="m:condition"/>

m:domainofapplication

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:DomainQ

XML Source (see within schema source)

<xs:element ref="m:domainofapplication"/>

m:lowlimit

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:DomainQ

XML Source (see within schema source)

<xs:element ref="m:lowlimit"/>

m:uplimit

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:DomainQ

XML Source (see within schema source)

<xs:element minOccurs="0" ref="m:uplimit"/>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.